---
updatedAt: 2026-03-28T14:26:45.000Z
agentTools:
  projectIndex: https://mifinity.readme.io/llms.txt
---

# Currency Lookup

Return all available currencies.

Retrieve the list of supported currencies and the number of decimal places each currency uses.

## Response fields

| Field            | Type    | Description                                                                                         |
| ---------------- | ------- | --------------------------------------------------------------------------------------------------- |
| `payload`        | array   | List of supported currencies returned by the API.                                                   |
| `currencyCode`   | string  | Currency code in ISO 4217 format, such as `EUR`, `USD`, or `JPY`.                                   |
| `displayName`    | string  | Human-readable currency name.                                                                       |
| `fractionDigits` | integer | Number of decimal places used for that currency. For example, `EUR` uses `2`, while `JPY` uses `0`. |

## Example response

```json
{
  "payload": [
    {
      "currencyCode": "EUR",
      "displayName": "Euro",
      "fractionDigits": 2
    },
    {
      "currencyCode": "AUD",
      "displayName": "Australian Dollar",
      "fractionDigits": 2
    },
    {
      "currencyCode": "GBP",
      "displayName": "British Pound Sterling",
      "fractionDigits": 2
    },
    {
      "currencyCode": "CAD",
      "displayName": "Canadian Dollar",
      "fractionDigits": 2
    },
    {
      "currencyCode": "CNY",
      "displayName": "Chinese Yuan",
      "fractionDigits": 2
    },
    {
      "currencyCode": "CZK",
      "displayName": "Czech Republic Koruna",
      "fractionDigits": 2
    },
    {
      "currencyCode": "DKK",
      "displayName": "Danish Krone",
      "fractionDigits": 2
    },
    {
      "currencyCode": "HUF",
      "displayName": "Hungarian Forint",
      "fractionDigits": 2
    },
    {
      "currencyCode": "INR",
      "displayName": "Indian Rupee",
      "fractionDigits": 2
    },
    {
      "currencyCode": "JPY",
      "displayName": "Japanese Yen",
      "fractionDigits": 0
    },
    {
      "currencyCode": "NZD",
      "displayName": "New Zealand Dollar",
      "fractionDigits": 2
    },
    {
      "currencyCode": "NOK",
      "displayName": "Norwegian Krone",
      "fractionDigits": 2
    },
    {
      "currencyCode": "PLN",
      "displayName": "Polish Zloty",
      "fractionDigits": 2
    },
    {
      "currencyCode": "RUB",
      "displayName": "Russian Ruble",
      "fractionDigits": 2
    },
    {
      "currencyCode": "ZAR",
      "displayName": "South African Rand",
      "fractionDigits": 2
    },
    {
      "currencyCode": "SEK",
      "displayName": "Swedish Krona",
      "fractionDigits": 2
    },
    {
      "currencyCode": "CHF",
      "displayName": "Swiss Franc",
      "fractionDigits": 2
    },
    {
      "currencyCode": "USD",
      "displayName": "US Dollar",
      "fractionDigits": 2
    }
  ]
}
```

## Notes

* Use `fractionDigits` when formatting currency values in your integration.
* Do not assume every currency uses two decimal places.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "lookup-api-calls",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://demo.mifinity.com/api"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/currencies": {
      "get": {
        "summary": "Currency Lookup",
        "description": "Return all available currencies.",
        "operationId": "currency-lookup",
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"payload\": [\n    {\n      \"currencyCode\": \"EUR\",\n      \"displayName\": \"Euro\",\n      \"fractionDigits\": 2\n    },\n    {\n      \"currencyCode\": \"AUD\",\n      \"displayName\": \"Australian Dollar\",\n      \"fractionDigits\": 2\n    }\n    \n  ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "payload": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "currencyCode": {
                            "type": "string",
                            "example": "EUR"
                          },
                          "displayName": {
                            "type": "string",
                            "example": "Euro"
                          },
                          "fractionDigits": {
                            "type": "integer",
                            "example": 2,
                            "default": 0
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "api-version",
        "value": "1"
      }
    ],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```